For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all leads
        • GETGet a lead by ID
        • POSTCreate Lead: AppFolio
        • PUTUpdate Lead: AppFolio
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
AppfolioLeads

Get all leads

GET
/v1/leads/
GET
/v1/leads/
$curl https://api.propexo.com/v1/leads/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_created_at": "2024-08-01T12:34:12Z",
18 "x_guestcard_id": null,
19 "x_id": "209a0ce1-0d3e-406a-aff6-dec477a0af3e",
20 "x_leasing_agent_id": null,
21 "x_property_id": "284a201c-854b-4088-841c-165f7040d399",
22 "x_unit_id_preferred": [
23 "456",
24 "123"
25 ],
26 "x_updated_at": "2024-08-01T12:34:12Z",
27 "x_lead_source_id": null,
28 "address_1": null,
29 "address_2": null,
30 "city": null,
31 "country": null,
32 "custom_data": {},
33 "date_of_birth": null,
34 "desired_amenities": null,
35 "desired_floor_plan_id": null,
36 "desired_floor_plan_name": null,
37 "desired_lease_term_in_months": null,
38 "desired_max_rent_in_cents": 100000,
39 "desired_max_square_ft": null,
40 "desired_min_rent_in_cents": null,
41 "desired_min_square_ft": null,
42 "desired_num_bathrooms": 2,
43 "desired_num_bedrooms": 3,
44 "desired_unit_number": null,
45 "desired_unit_type": null,
46 "email_1": "john.doe@example.com",
47 "email_2": null,
48 "first_name": "John",
49 "ils": null,
50 "last_name": "Doe",
51 "lead_source": "Chatbot",
52 "leasing_agent": null,
53 "middle_name": "M",
54 "notes": null,
55 "number_of_occupants": 1,
56 "pets": [
57 {
58 "id": "clwktsp9v000008l31iv218hn",
59 "created_at": "2024-03-21T15:38:08.337Z",
60 "updated_at": "2024-03-22T10:59:45.119Z",
61 "last_seen": "2024-03-22T10:59:45.119Z",
62 "x_id": "6f5d276c-9f1f-49d7-ac5d-0180240aa29c",
63 "age_in_years": null,
64 "breed": null,
65 "color": null,
66 "gender_raw": null,
67 "is_fixed": null,
68 "is_service_animal": null,
69 "name": null,
70 "notes": null,
71 "type": "Cat",
72 "weight_in_pounds": null,
73 "custom_data": {}
74 }
75 ],
76 "phone_1_type": null,
77 "phone_1": "(555) 555-5555",
78 "phone_2_type": null,
79 "phone_2": null,
80 "state": null,
81 "status": "active",
82 "target_move_in_date": "2024-01-01",
83 "zip": null,
84 "property_id": "clwi5xiix000008l6ctdgafyh",
85 "lead_source_id": null,
86 "unit_id_preferred": [
87 "testintegration:123:456",
88 "testintegration:678:123"
89 ],
90 "integration_id": "clwh5u07w000508me66sfh3um",
91 "integration_vendor": "APPFOLIO",
92 "screenings": [
93 {
94 "id": "clwktsp9v000008l31iv218hn",
95 "created_at": "2024-03-21T15:38:08.337Z",
96 "last_seen": "2024-03-22T10:59:45.119Z",
97 "x_id": "string",
98 "status_raw": "string",
99 "screening_date": "string"
100 }
101 ],
102 "x_unit_id": "string",
103 "pet_details": null
104 }
105 ]
106}
Get all leads
Was this page helpful?
Previous

Get a lead by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external lead id
x_property_idstringOptional

Deprecated: Use the Propexo property_id instead

location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

x_unit_idstringOptional
The external unit id
email_1stringOptional
Lead email address
email_2stringOptional
Lead email address alternate
property_idstringOptional
The Propexo property id
integration_idstringOptional
The Propexo integration id
integration_vendorenumOptional
The integration vendor for the lead.
phone_1stringOptionalformat: "^[2-9]\d{9}$"

Filter by phone number (10 digit format only)

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error